1. Eserel's Avatar
    So my ipod crashed a couple of days ago, lost everything including my jailbroken 1.1.4. So I heard you can down grade via 7.5 iTunes and now the 8. Either it's not working on my Mac, or I'm just stupid. Probably the latter. So a little help here? Can you describe the steps, are they different for 8? I've probably read them a bunch, but it doesn't seem to work. Like selecting the ipsw and whatnot...

    I really want my ipod fixed. I am so lost without my apps. <ipodjunkieftw>
    2008-09-11 02:47 AM
  2. Jeckel's Avatar
    So, you're trying this with 8? Have you tried it with 7.5 or did you just ignore that? Were you on 1.1.4? If so, you should be able to restore (keep at 1.1.4) with any iTunes version (at least that will work with iPod Touch) unless you want to go even farther back, in which case I don't know which version would be necessary.
    2008-09-11 04:07 AM
  3. Eserel's Avatar
    I tried installing 7.5 because i had 7.7, but something with my library conflicted. And I haven't had time to really mess around with it. And yes I was on 1.1.4, and no it doesn't work, because it automatically updates to most recent version, 1.1.5. In the iTunes 8 Walkthrough, it said it worked...
    2008-09-11 04:38 AM
  4. Jeckel's Avatar
    If you know where the 1.1.4 firmware is, when you select 'Restore' you should be able to shift (option if on mac) + click which would bring up a search menu for you to select the correct firmware. 1.1.5 is jailbreakable (very similar to 1.1.4). Just don't try to jailbreak with iTunes 8 (unless you only use Quickpwn) as it can cause problems.
    2008-09-11 09:19 PM
  5. Eserel's Avatar
    x: Yeah no one told me it was option on the mac. I found that out myself when screwing around yesterday.

    So I'm back to normal now. Everything is better.<3 I feel alive again. Lol.
    2008-09-12 03:01 AM
LINK TO POST COPIED TO CLIPBOARD